﻿@model List<NF.Web.Models.AnswerViewModels.FormAnswerAVM>
@{
    ViewData["Title"] = "CheckOutFormAnswers";

    object tempId = 0;
    string date = "";
}
<h1 style="position:center">Submitted answers</h1>
<hr />



<div class="card">

    <div class="card-header"> <h2 class="text-center">@ViewData["form_title"]</h2> </div>
    <div class="card-body">

        <br>

        <select onchange="test()" id="selectOption" class="custom-select custom-select-lg mb-3">
            <option value="0">Pick an answer</option>
            @foreach (var answer in Model)
            {

                date = answer.AnswerDate.ToString("dd/MM/yyyy");
                <option value="@answer.Id">Form (@answer.FormName) answered by: @answer.AnseredUserName on @date</option>
            }
        </select>

        <br><br>

        <div>
            <div id="yourdiv" class="asd">
            </div>
        </div>


    </div>
</div>

<script>
    function test() {
        var currentId = $("#selectOption").val();
        console.log(currentId);

        tempId = currentId;
        if (tempId != 0 )
        {

            $("#yourdiv").load("@Url.Action("PartialAnswer", "Forms")", { 'id': tempId },
                                        function (response, status, xhr)
        {
            if (status == "error")
            {
                alert("An error occurred while loading the results.");
            }
        });
        }


    }



</script>

@section Scripts {

    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
